### Virtual Method

# Nautilus MenuProvider get_file_items

#### Declaration [src]

    GList*
    get_file_items (
      NautilusMenuProvider* provider,
      GList* files
    )

#### Description [src]

Called whenever the selected files in a view changes.

#### Parameters

`files`

  Type: A list of `NautilusFileInfo*`

  A list of selected files.

  The data is owned by the caller of the method.

#### Return value

Type: A list of `NautilusMenuItem*`

The provided list of items.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.